app-modal-box {
  /* modals are hidden by default */
  display: none;
  position: relative;

  .modal-box-wrapper {
      /* modal container fixed across whole screen */
      position: fixed;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;

      /* z-index must be higher than .modal-box-background */
      z-index: 1000;
      
      /* enables scrolling for tall modals */
      overflow: auto;

      .modal-box-body {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);

        background: #ffffff;
        border-radius: 13px;
        width: 240pt;
        min-height: 85pt;
        padding: 15pt 20pt;

        h1 {
          font-weight: bold;
          font-size: 16px;
          line-height: 24px;
          color: #000000;
          margin-bottom: 5pt;
        }

        p {
          font-weight: 600;
          font-size: 13px;
          line-height: 19px;
          color: #999999;
          width: 100%;
          margin-bottom: 40pt;
        }

        .buttons-wrapper {
          position: absolute;
          bottom: 15pt;
          right: 20pt;

          display: flex;
          justify-content: flex-end;
          button {
            box-shadow: none;
            border-radius: 18px;
            cursor: pointer;
            border: 0;
            min-width: 100px;
            font-size: 13px;
            line-height: 19px;
            text-align: center;
            color: #FFFFFF;
            transition: all .2s ease-in-out;
            font-family: 'Poppins', sans-serif;
            text-align: center;
            text-transform: uppercase;
            background-color: transparent;
            font-weight: bold;
            &:last-of-type {
              background-color: #4185C5;
              height: 36px;
              padding: 0pt 10pt;
            }
          }
        }
      }
  }

  .modal-box-background {
      /* modal background fixed across whole screen */
      position: fixed;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;

      /* semi-transparent black  */
      background-color: rgba(0, 0, 0, 0.4);
      -webkit-backdrop-filter: blur(12px);
      backdrop-filter: blur(12px);  
      
      /* z-index must be below .modal-box and above everything else  */
      z-index: 900;
  }
}

body.modal-box-open {
  /* body overflow is hidden to hide main scrollbar when modal window is open */
  overflow: hidden;
}